Subject: RFC 4312

From: Alfred Hönes <[email-masked]>
Date: Fri, 3 Feb 2006 14:54:42 +0100 (MEZ)

Hello,

after studying the recently published RFC 4312 (Camellia with IPsec)
authored by you, I'd like to submit a few comments, mostly on the
References listed on page 6 of the RFC.

RFC 4312 apparently has been published a bit later than, but
closely coordinated with, the new IPsec document suite (RFC 430x).

Accordingly, the Normative Reference [ESP] of RFC 4312 points to
the new ESP RFC 4303, as expected.

But surprisingly, the Informative References are not updated
similarly.
I would have expected [ARCH] pointing to RFC 4301 (that has
obsoleted RFC 2401), and at least an additional Ref. to IKEv2
(RFC 4306, which substantially amends/updates the old RFC 2409
[IKE]) -- with title and text of Section 4 slightly adapted.
The current text and Ref. [IKE] even might lead to the mis-
conception that the Camellia cipher would not be suitable for
use with IKEv2 (a statement certainly not intended by you).

Finally, the URI given in Ref. [CRYPTREC] contains a spurious
blank character after the last "/".

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+